#
# spec file for package scim-m17n (Version 0.2.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa aaa_base acl anthy atk attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig freetype2 fribidi gawk gcc gcc-c++ gconf2 gdbm gdbm-devel gettext gettext-devel glib2 glibc glibc-devel glibc-locale glitz gnome-filesystem gpm grep groff gtk2 gzip info insserv klogd less libacl libattr libcom_err libdrm libgcc libjpeg libnscd libotf libotf-devel libpng libstdc++ libstdc++-devel libtool libxcrypt libxml2 libzio m17n-db m17n-lib m17n-lib-devel m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl orbit2 pam pam-modules pango patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm scim scim-devel sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim wordcut wordcut-devel xorg-x11-libs zlib zlib-devel

Name:           scim-m17n
BuildRequires:  gcc-c++ libotf-devel m17n-lib-devel scim-devel wordcut-devel
Version:        0.2.0
Release:        15.2
License:        GPL
Group:          System/I18n/Chinese
Autoreqprov:    on
Provides:       locale(scim:am;ar;as;bn;cs;da;de;el;en;es;fa;fi;fr;gu;he;hi;hr;it;ja;ka;kk;kn;ko;lo;ml;my;nb;nl;nn;pa;pl;ru;sk;sv;vi;zh)
Requires:       m17n-lib, m17n-db
URL:            http://www.scim-im.org/
# CVS:
# cvs -d:pserver:anonymous@cvs.sourceforge.net:/cvsroot/scim login
# cvs -z3 -d:pserver:anonymous@cvs.sourceforge.net:/cvsroot/scim co scim-m17n
Source0:        scim-m17n-0.2.0.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        M17N Input Method Engine for SCIM

%description
M17N Input Method Engine for SCIM

Supports all input methods offered by m17n-lib and m17n-db.

Currently the following languages are supported:

Amharic, Arabic, Armenian, Assamese, Bengali, Chinese, Croatian,
Devanagari, Dhivehi, Farsi, Georgian Greek, Gujarati, Hebrew, Japanese,
Kannada, Kazakh, Khmer, Korean, Lao, Malayalam, Myanmar, Oriya,
Punjabi, Russian, Serbian, Sinhala, Slovak, Syriac, Tamil, Telugu,
Thai, Tibetan, Vietnamese

Several generic input methods for languages based on the Latin alphabet
are also included.



Authors:
--------
    James Su <suzhe@tsinghua.org.cn>

%debug_package
%prep
%setup -q -n %{name}-%{version}
find . -name CVS -type d | xargs rm -rf

%build
libtoolize --force
autoreconf --force --install --verbose
CXXFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=/usr \
            --sysconfdir=%{_sysconfdir} \
	    --libdir=%{_libdir} \
	    --enable-debug \
            --disable-static 
make 

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
make DESTDIR=${RPM_BUILD_ROOT} install
rm -f $RPM_BUILD_ROOT/%{_libdir}/scim-1.0/IMEngine/m17n.{a,la}
# %find_lang scim-m17n

%clean
#[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README ChangeLog
%dir %{_libdir}/scim-1.0/
%dir %{_libdir}/scim-1.0/IMEngine/
%{_libdir}/scim-1.0/IMEngine/m17n.so
%dir %{_datadir}/scim/icons/
%{_datadir}/scim/icons/scim-m17n.png

%changelog -n scim-m17n
* Tue Feb 28 2006 - mfabian@suse.de
- Bugzilla #153791: use ';' in Provides locale(...).
* Thu Feb 23 2006 - mfabian@suse.de
- add "Provides: locale(scim:am,ar,as,bn,cs,da,de,el,en,es,fa,fi,fr,gu,he,hi,hr,it,ja,ka,kk,kn,ko,lo,ml,my,nb,nl,nn,pa,pl,ru,sk,sv,vi,zh)".
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 - zsu@suse.de
- update to 0.2.0
* Mon Jan 10 2005 - mfabian@suse.de
- update to 0.1.3.20050110.
- remove my reset-when-focus-out.patch (included now).
* Thu Dec 30 2004 - mfabian@suse.de
- add Requires: m17n-lib, m17n-db.
* Wed Dec 22 2004 - mfabian@suse.de
- Bugzilla #47019: add reset-when-focus-out.patch to commit
  the preedit string when switching off the input method or moving
  the focus to another application.
* Tue Dec 21 2004 - mfabian@suse.de
- update to 0.1.3.20041221 (CVS version) and remove the last patch
  which is already in current CVS.
* Thu Dec 16 2004 - mfabian@suse.de
- Bugzilla #49200:
  ("A patch to scim-m17n to fix an input issue in OOo when using
  gtk immodule."). Patch received from author Zhe Su applied.
* Fri Sep 03 2004 - mfabian@suse.de
- update to 0.1.3.
* Tue Aug 17 2004 - mfabian@suse.de
- new package: scim-m17n, version 0.1.1.
